# Delete value

`DELETE /v1/operations/valuesets/{valueSetId}/values/{valueId}`

Available as MCP tool `delete-value` (Delete).

Translation set endpoints allow you to review and manage value sets, translation sets, and related translation set links. 

A <u>value set</u> is a list of values (e.g., LOINC, SNOMED, or a custom code set) that should be translated during the process of data exchange. [Learn about value sets](https://docs.redoxengine.com/permalink/57h6bja3T7Qy0Mf1ai7uMQ).

A <u>translation set</u> contains two value sets: one for incoming values and one for outgoing values between systems. A translation set also defines how those values should map to each other. [Learn about translation sets](https://docs.redoxengine.com/permalink/4GJXunyoAI3s05VrrRkJ09). 

A <u>translation set link</u> defines where the translation set should be applied in log processing for a specific subscription.

Anyone in a Redox organization can view translation sets and related value sets or links, but you must be assigned to an engineer or support role to update or delete them.

You can:

- retrieve a list of value sets by environment or organization;
- retrieve a list of translation sets by environment or organization;
- create, update, or delete value sets;
- create, update, or delete translation sets or links;
- create, update, or delete a value in a value set; or
- create or delete a translation in a translation set;

### Delete value

Delete an existing value in a value set. 

If the value is mapped in a translation, that translation is also deleted. This doesn't delete the value it's mapped to or the translation set, though.

This endpoint allows you to delete one value at a time. 

> **Only for engineer or support roles**
>
> Any user may view existing data operations (e.g., filters, translation sets, config modifiers) for subscriptions in a given environment. However, you must be assigned to an engineer or a support role to create and manage data operations. [Learn about roles](/basics/managing-access-for-your-redox-organization/what-are-user-roles-and-groups).

## Request parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `valueSetId` | path | string | Yes | Contains the unique identifier of the value set. |
| `valueId` | path | string | Yes | Contains the unique identifier of the value. |

## Request example

```bash
curl 'https://api.redoxengine.com/platform/v1/operations/valuesets/{valueSetId}/values/{valueId}' \
--request DELETE \
--header 'Authorization: Bearer $API_TOKEN' \
--header 'accept: application/json'
```

## Responses

### 200

Contains a payload object with a message indicating the request was successful.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `meta` | object | No |  |
| `meta.version` | string | No | Lists the major and minor version number for the format of the returned payload. The payload format or shape may change between minor versions, like including additional or extended fields in later versions. We include the version data in each response so that you have the option to handle the signaled differences. |
| `payload` | object | No | Contains a message indicating the request was successful. |
| `payload.message` | string | No | Explains that the request was successful along with any relevant detail. |

_Generated from the schema: the values are placeholders, not a real payload._

```json
{
  "meta": {
    "version": "1.0.0"
  },
  "payload": {
    "message": "string"
  }
}
```

### 400

Bad Request

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `payload` | object | No | Contains the error message. |
| `payload.error` | object | No | Contains the error message details. |
| `payload.error.id` | string | No | Contains a unique identifier for the given error instance. |
| `payload.error.title` | string | No | Displays the high-level error message, typically something succinct like `Bad Request`. |
| `payload.error.code` | string | No | Contains an alternative ID for the error type, which can be used to find relevant troubleshooting information. |
| `payload.error.detail` | string | No | Contains the specific error details for this message. |
| `payload.error.status` | number | No | Displays the corresponding HTTP status code for the error. |
| `payload.error.transient` | boolean | No | Describes whether the error will resolve itself. If `true`, no further action needs to be taken. If `false`, you may need to troubleshoot on your end to resolve the issue before the error can be processed. |

```json
{
  "payload": {
    "error": {
      "title": "Bad Request",
      "code": "validation.error.bad.request",
      "detail": "Error details",
      "status": 400,
      "transient": false
    }
  }
}
```

### 403

Forbidden

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `payload` | object | No | Contains the error message. |
| `payload.errors` | Array of object | No |  |
| `payload.errors[].title` | string | No | Displays the high-level error message, typically something succinct like `Forbidden`. |
| `payload.errors[].code` | string | No | Contains an alternative ID for the error type, which can be used to find relevant troubleshooting information. |

```json
{
  "payload": {
    "errors": [
      {
        "title": "Forbidden",
        "code": "authorization.forbidden"
      }
    ]
  }
}
```

### 500

Internal Server Error

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `payload` | object | No | Contains the error message. |
| `payload.error` | object | No | Contains the error message details. |
| `payload.error.title` | string | No | Displays the high-level error message, typically something succinct like `Failed in step X`. |
| `payload.error.code` | string | No | Contains an alternative ID for the error type, which can be used to find relevant troubleshooting information. |
| `payload.error.detail` | string | No | Contains the specific error details for this message. |
| `payload.error.status` | number | No | Displays the corresponding HTTP status code for the error. |
| `payload.error.transient` | boolean | No | Describes whether the error will resolve itself. If `true`, no further action needs to be taken. If `false`, you may need to troubleshoot on your end to resolve the issue before the error can be processed. |

```json
{
  "payload": {
    "error": {
      "title": "Internal Server Error",
      "code": "failed.db.lookup",
      "detail": "Error details",
      "status": 500,
      "transient": true
    }
  }
}
```
